# Starts a catchpoint catchup.

## POST

/v2/catchup/{catchpoint}

Given a catchpoint, it starts catching up to this catchpoint.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Parameters

### Path Parameters

**catchpoint**  
required  
string format: catchpoint  
/[0-9]{1,10}#[A-Z0-9]{1,53}/  
A catch point

### Query Parameters

**min**  
integer  
Specify the minimum number of blocks which the ledger must be advanced by in order to start the catchup. This is useful for simplifying tools which support fast catchup; they can run the catchup unconditionally and the node will skip the catchup if it is not needed.

## Responses

### 200  
Select media type application/json  
An catchpoint start response.  
object  
**catchup-message**  
required  
Catchup start response string  
string

### 201  
Select media type application/json  
An catchpoint start response.  
object  
**catchup-message**  
required  
Catchup start response string  
string

### 400  
Bad Request  
Select media type application/json  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string

### 401  
Invalid API Token  
Select media type application/json  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string

### 408  
Request Timeout  
Select media type application/json  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string

### 500  
Internal Error  
Select media type application/json  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string

### default  
Unknown Error
